DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FTEllipsoid

Generates Fourier transform of a ellipsoid

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTEllipsoid ( image, radius, scale, amplitude )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of an ellipsoid with the length of its axes specified by `radius` and `scale`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output Image
`dip_float` | `radius` | Radius
`dip_FloatArray` | `scale` | Scale
`dip_float` | `amplitude` | Amplitude

## LITERATURE

L.J. van Vliet, Grey-Scale Measurements in Multi-Dimensional Digitized Images, Ph.D. thesis Delft University of Technology, Delft University Press, Delft, 1993

## KNOWN BUGS

This function is only implemented for images with a dimensionality up to three.

## SEE ALSO

`FTSphere`, `FTBox`, `FTCube`, `FTCross`, `FTGaussian`

DIPlib on-line documentation | Function reference | Global function index